Bug 87866 - hardware acceleration checkbox is insenstive (at least for Rage 128 Mobility)
hardware acceleration checkbox is insenstive (at least for Rage 128 Mobility)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhpl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-03 09:10 EST by Dave Reed
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-18 18:00:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Reed 2003-04-03 09:10:47 EST
Description of problem:

enable 3D acceleration checkbox is insensitive for ATI Rage 128 Mobility

Version-Release number of selected component (if applicable):
0.7.3-2

How reproducible:
always

Steps to Reproduce:
1. run redhat-config-xfree86
2. advanced tab
3.
    
Actual results:
hardware acceleration checkbox is insenstive

Expected results:
hardware acceleration checkbox should allow you to select it

Additional info:
Comment 1 Brent Fox 2003-04-03 16:29:24 EST
Ok, I added ati and i180 to the list of chipsets that support dri.  Should be
fixed in rhpl-0.96-1.  That should allow the widget to get sensitized for your
particular video card.  

Built in dist-3.0E-HEAD
Comment 2 Mike A. Harris 2003-04-03 17:35:33 EST
The "ati" driver does not support DRI.

The drivers that support DRI are:

r128, radeon, tdfx, mga, i810, sis, glint

Note that while each of these drivers as a whole contain 3D acceleration
support for some of the hardware they support, not every single chip that
a given driver supports has 3D acceleration support.  Also, for those chips
that do support 3D, some chips have resolution limitations depending on how
much memory is on the card, and beyond a certain resolution 3D won't work,
and other chips have a limitation of 3D only being supported in 16bit depth.
Other cards have other weird limitations.

So no matter what we do here, our "Enable 3D" button is not going to work
properly in all cases for all hardware and we're likely to get bug reports
from people.  For now I suggest we just allow 3D to be enabled or disabled
on all of the above drivers I listed, and if someone toggles 3D on, perhaps
a popup message informs them of limitations they may have.  Alternatively,
if you like, I can provide more details as to what cards have what limitations
which can be hard coded in the config tool (which is ugly, but would work
ok for now).

Let me know how you'd like to handle this, so we're on the same page, and
I'll get you whatever info you need.

Also, I do have a longer term solution that is probably much better that
I've got in limbo phase in my brain. ;o)
Comment 3 Brent Fox 2003-04-03 18:54:11 EST
Ok.  I've updated the list to reflect what mharris said.  rhpl-0.96-2 should
include the new list.

Note You need to log in before you can comment on or make changes to this bug.